Skip to main content
POST
checkout_payment_token_session_post

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

where the access_token is JSON Web Tokens (JWT).

Headers

Dintero-System-Name
string

The name of the ecommerce solution

Example: woocommerce

Maximum string length: 120
Dintero-System-Version
string

The version number of the ecommerce solution

Example: 5.4

Maximum string length: 120
Dintero-System-Plugin-Name
string

The name of the ecommerce plugin

Example: Dintero.Checkout.WooCommerce

Maximum string length: 120
Dintero-System-Plugin-Version
string

The version number of the ecommerce plugin

Example: 2.3.4

Maximum string length: 120

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

include_session
boolean

Include all details about the session created

Body

application/json
session
object
required

The session to create the payment token from

token_provider
payex.creditcard · object
required

Response

checkout session created

id
string

The id of the checkout session

url
string<uri>

URL for the Checkout session

Example:

"https://checkout.api.dintero.com/v1/view/9ea1610a357dc8189081c4cb955f26f612d91367"

publish
object[]

Publish checkout message to the customer.

session
object
Last modified on July 14, 2026